#
# Conditional build:
%bcond_with	tests	# unit tests (not included in sdist)

Summary:	Pytest plugin to randomly order tests and control random.seed
Summary(pl.UTF-8):	Wtyczka pytesta do losowej kolejności testów i sterowania random.seed
Name:		python3-pytest-randomly
Version:	3.11.0
Release:	7
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pytest-randomly/
Source0:	https://files.pythonhosted.org/packages/source/p/pytest-randomly/pytest-randomly-%{version}.tar.gz
# Source0-md5:	13cf321031de846c969aa5522a01ec40
URL:		https://pypi.org/project/pytest-randomly/
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools >= 1:40.6.0
%if %{with tests}
BuildRequires:	python3-factory_boy
BuildRequires:	python3-faker
%if "%{_ver_lt '%{py3_ver}' '3.10'}" == "1"
BuildRequires:	python3-importlib-metadata >= 3.6.0
%endif
BuildRequires:	python3-numpy
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.750
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pytest plugin to randomly order tests and control random.seed.

%description -l pl.UTF-8
Wtyczka pytesta do losowej kolejności testów i sterowania random.seed.

%prep
%setup -q -n pytest-randomly-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="pytester,pytest_randomly" \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc HISTORY.rst LICENSE README.rst
%{py3_sitescriptdir}/pytest_randomly
%{py3_sitescriptdir}/pytest_randomly-%{version}-py*.egg-info
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pytest-randomly.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> f8ccd96
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 24b2046
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> ea3b281
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> d4cbf25
- Release 4 (by relup.sh)

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 60403f4
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 2d78eae
- rebuild with python 3.10

* Wed Mar 23 2022 Jakub Bogusz <qboosh@pld-linux.org> 88f5cb3
- updated to 3.11.0

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> cd3e026
- setuptools epoch

* Fri Dec 10 2021 Jakub Bogusz <qboosh@pld-linux.org> a6e0e82
- python-pytest-randomly.spec updated to 3.10.3 for python 3.6+

* Fri Dec 10 2021 Jakub Bogusz <qboosh@pld-linux.org> c8c652e
- new

